Bug 1654702 - authselect check returns error after "Current configuration is valid."
Summary: authselect check returns error after "Current configuration is valid."
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: authselect
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Březina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 13:11 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2019-06-25 01:25 UTC (History)
2 users (show)

Fixed In Version: authselect-1.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 01:25:30 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2018-11-29 13:11:41 UTC
Description of problem:
$ fakeroot authselect check; echo $?
Current configuration is valid.
2

That's confusing. The man page suggests that 2 means that there's no configuration, but the message contradicts that.

Version-Release number of selected component (if applicable):
authselect-1.0.1-2.fc29.x86_64

Comment 1 Pavel Březina 2018-11-29 13:33:58 UTC
Authselect configuration is not valid only if authselect configured the system but the file content is changed.

authselect check, $? == 0 => authselect configured the system and everything is fine
authselect check, $? == 2 => authselect was not used at all

Maybe the message and man page should be more descriptive in this case.

Comment 2 Pavel Březina 2018-11-29 13:34:50 UTC
authselect check, $? == 3 => authselect was used but someone messed with the configuration

Comment 3 Pavel Březina 2018-12-03 14:01:10 UTC
Upstream ticket:
https://github.com/pbrezina/authselect/issues/125

Comment 4 Pavel Březina 2019-01-07 12:31:27 UTC
Upstream PR:
https://github.com/pbrezina/authselect/pull/130

Zbigniew, can you please check the PR and tell me if this is sufficient? Or do you think some other wording would be better?

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-01-07 12:46:51 UTC
LGTM.

Comment 6 Fedora Update System 2019-06-13 10:29:18 UTC
FEDORA-2019-e65b5be2c3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e65b5be2c3

Comment 7 Fedora Update System 2019-06-14 02:07:25 UTC
authselect-1.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e65b5be2c3

Comment 8 Fedora Update System 2019-06-25 01:25:30 UTC
authselect-1.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.